org.eclipse.actf.util.win32

## Class OverlayWindow

- java.lang.Object
- - org.eclipse.actf.util.win32.OverlayWindow

All Implemented Interfaces:
  Runnable

    public class OverlayWindow
    extends Object
    implements Runnable

OverlayWindow is transparent window. The purpose of this class is to overlay some labels and highlight borders on the application windows. The OverlayWindow covers the entire screen. Currently it supports only the main screen.

### Field Summary

Fields
`static int` `INDEX_HIGHLIGHT`
`static int` `INDEX_LABELS`
`static String` `WINDOW_TEXT`

### Method Summary

Methods
`org.eclipse.swt.widgets.Composite` `getComposite()`
`static OverlayWindow` `getInstance(int index, boolean create)`
`static boolean` `getVisible()`
`void` `run()`
`static void` `setVisible(boolean newVisible)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WINDOW_TEXT

    public static final String WINDOW_TEXT

See Also:
  Constant Field Values

#### INDEX_HIGHLIGHT

    public static final int INDEX_HIGHLIGHT

See Also:
  Constant Field Values

#### INDEX_LABELS

    public static final int INDEX_LABELS

See Also:
  Constant Field Values

### Method Detail

#### getInstance

    public static OverlayWindow getInstance(int index,
                            boolean create)

Parameters:
  `index` - the index of the overlay, it must be INDEX_HIGHLIGHT or INDEX_LABELS
  `create` - whether create a new instance or not
Returns:
  the instance of the OverlayWindow
See Also:
  `INDEX_HIGHLIGHT`, `INDEX_LABELS`

#### getVisible

    public static boolean getVisible()

Returns:
  whether the overlay window is visible or not

#### setVisible

    public static void setVisible(boolean newVisible)

Parameters:
  `newVisible` - whether the overlay window is visible or not

#### getComposite

    public org.eclipse.swt.widgets.Composite getComposite()

Returns:
  the internal composite object. OverlayLabel and HighlightComposite are added to this composite.

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`